Package org.pgpainless.key.certification

# Class CertifyCertificate.CertificationOnUserIdWithSubpackets

java.lang.Object
org.pgpainless.key.certification.CertifyCertificate.CertificationOnUserIdWithSubpackets

Enclosing class:
  `CertifyCertificate`

public static class CertifyCertificate.CertificationOnUserIdWithSubpackets extends Object

## Method Summary

Modifier and Type
Method
Description
`CertifyCertificate.CertificationResult`
`build()`
Build the certification signature.
`CertifyCertificate.CertificationResult`
`buildWithSubpackets(CertificationSubpackets.Callback subpacketCallback)`
Apply the given signature subpackets and build the certification.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### buildWithSubpackets

public CertifyCertificate.CertificationResult buildWithSubpackets(@Nonnull CertificationSubpackets.Callback subpacketCallback) throws org.bouncycastle.openpgp.PGPException
Apply the given signature subpackets and build the certification.

Parameters:
  `subpacketCallback` - callback to modify the signatures subpackets
Returns:
  result
Throws:
  `org.bouncycastle.openpgp.PGPException` - in case of an OpenPGP related error

### build

public CertifyCertificate.CertificationResult build() throws org.bouncycastle.openpgp.PGPException
Build the certification signature.

Returns:
  result
Throws:
  `org.bouncycastle.openpgp.PGPException` - in case of an OpenPGP related error